<?xml version="1.0"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>com.amosframework.boot</groupId>
    <artifactId>amos-boot-data</artifactId>
    <version>1.0.0</version>
  </parent>

  <artifactId>amos-boot-data-housepvapi</artifactId>
  <name>amos-boot-data-housepvapi</name>

  <properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
<dependencies>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-netflix-eureka-client</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-actuator</artifactId>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-foundation</artifactId>
			<version>${tyboot-version}</version>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-restful</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-auth</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-emq</artifactId>
			<version>${tyboot-version}</version>
		</dependency>
		<!--
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-event</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		-->
		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-opendata</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.yeejoin</groupId>
			<artifactId>amos-feign-systemctl</artifactId>
			<version>${amos.version}</version>
		</dependency>

		<dependency>
			<groupId>com.yeejoin</groupId>
			<artifactId>amos-component-config</artifactId>
			<version>${amos.version}</version>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-core-rdbms</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.typroject</groupId>
			<artifactId>tyboot-component-cache</artifactId>
			<version>${tyboot-version}</version>
			<exclusions>
				<exclusion>
					<groupId>org.typroject</groupId>
					<artifactId>*</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-starter-data-redis</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-redis</artifactId>
			<version>1.4.5.RELEASE</version>
		</dependency>
        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>19.0.0</version>
            <scope>compile</scope>
        </dependency>

 		<dependency>
            <groupId>org.codehaus.jettison</groupId>
            <artifactId>jettison</artifactId>
            <version>1.3.7</version>
        </dependency>
        <dependency>
		  <groupId>fakepath</groupId>
		  <artifactId>license-sdk</artifactId>
		  <version>1.0.0</version>
		</dependency>
		<!-- druid -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
			<version>1.1.10</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-jdbc</artifactId>
		</dependency>
		<!-- Vastbase G100 -->
		<dependency>
			<groupId>cn.com.vastdata</groupId>
			<artifactId>vastbase</artifactId>
			<version>1.0.0.1</version>
		</dependency>
		<!-- LOG4J -->
		<dependency>
			<groupId>log4j</groupId>
			<artifactId>log4j</artifactId>
			<version>1.2.16</version>
			<scope>compile</scope>
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>5.7.22</version>
		</dependency>
<!--    <dependency>-->
<!--        <groupId>com.yeejoin</groupId>-->
<!--        <artifactId>amos-component-influxdb</artifactId>-->
<!--        <version>1.8.5-SNAPSHOT</version>-->
<!--        <scope>compile</scope>-->
<!--    </dependency>-->
	<dependency>
		<groupId>com.taosdata.jdbc</groupId>
		<artifactId>taos-jdbcdriver</artifactId>
		<version>3.2.4</version>
		<scope>compile</scope>
	</dependency>
	<dependency>
		<groupId>com.github.pagehelper</groupId>
		<artifactId>pagehelper</artifactId>
		<version>5.1.10</version>
		<scope>compile</scope>
	</dependency>
    <dependency>
        <groupId>org.mybatis.spring.boot</groupId>
        <artifactId>mybatis-spring-boot-autoconfigure</artifactId>
        <version>2.2.2</version>
        <scope>compile</scope>
    </dependency>
</dependencies>
	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
		</plugins>
	</build>
</project>
